com.genesyslab.wfm8.API.service.schedule850

## Class SchScenario

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchScenario

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenario
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswUserId` The ID of the user who created the scenario `CfgUser`
    `protected java.util.List<SchScenarioSite>` | `schSites` An array of sites in the scenario.
    `protected int` | `schSitesNSizeIs` The number of elements in the 'schSites' array.
    `protected java.util.List<SchScenarioSiteStatus>` | `schSiteStatus` The Status for every site in the scenario.
    `protected int` | `schSiteStatusNSizeIs` The number of elements in the 'schSiteStatus' array.
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` timestamp value
    `protected java.lang.String` | `wmComments` Comments
    `protected double` | `wmCreateDateTime` Scenario creation date time in GMT time zone.
    `protected double` | `wmEndDate` End date of schedule period.
    `protected double` | `wmEndDateExt` Extended End date of schedule period.
    `protected int` | `wmForecastId` Associated Forecast scenario identifier (zero for Master Forecast).
    `protected java.lang.String` | `wmName` Unique scenario name.
    `protected int` | `wmScheduleId` Schedule scenario identifier (zero for Master Schedule).
    `protected double` | `wmStartDate` Start date of schedule period.
    `protected int` | `wmType` Scenario type `ESchScenarioType`
    `protected double` | `wmUpdateDateTime` Scenario modification date time in GMT time zone.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenario()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `java.util.List<SchScenarioSite>` | `getSchSites()` Gets the value of the schSites property.
    `int` | `getSchSitesNSizeIs()` Gets the value of the schSitesNSizeIs property.
    `java.util.List<SchScenarioSiteStatus>` | `getSchSiteStatus()` Gets the value of the schSiteStatus property.
    `int` | `getSchSiteStatusNSizeIs()` Gets the value of the schSiteStatusNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `double` | `getWmCreateDateTime()` Gets the value of the wmCreateDateTime property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `double` | `getWmEndDateExt()` Gets the value of the wmEndDateExt property.
    `int` | `getWmForecastId()` Gets the value of the wmForecastId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmScheduleId()` Gets the value of the wmScheduleId property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `double` | `getWmUpdateDateTime()` Gets the value of the wmUpdateDateTime property.
    `int` | `hashCode()`
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setSchSites(java.util.List<SchScenarioSite> schSites)` Sets the value of the schSites property.
    `void` | `setSchSitesNSizeIs(int value)` Sets the value of the schSitesNSizeIs property.
    `void` | `setSchSiteStatus(java.util.List<SchScenarioSiteStatus> schSiteStatus)` Sets the value of the schSiteStatus property.
    `void` | `setSchSiteStatusNSizeIs(int value)` Sets the value of the schSiteStatusNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmCreateDateTime(double value)` Sets the value of the wmCreateDateTime property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmEndDateExt(double value)` Sets the value of the wmEndDateExt property.
    `void` | `setWmForecastId(int value)` Sets the value of the wmForecastId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmScheduleId(int value)` Sets the value of the wmScheduleId property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmUpdateDateTime(double value)` Sets the value of the wmUpdateDateTime property.
    `java.lang.String` | `toString()`
    `SchScenario` | `withGswUserId(int value)`
    `SchScenario` | `withSchSites(java.util.Collection<SchScenarioSite> values)`
    `SchScenario` | `withSchSites(SchScenarioSite... values)`
    `SchScenario` | `withSchSitesNSizeIs(int value)`
    `SchScenario` | `withSchSiteStatus(java.util.Collection<SchScenarioSiteStatus> values)`
    `SchScenario` | `withSchSiteStatus(SchScenarioSiteStatus... values)`
    `SchScenario` | `withSchSiteStatusNSizeIs(int value)`
    `SchScenario` | `withTimestamp(long value)`
    `SchScenario` | `withWmComments(java.lang.String value)`
    `SchScenario` | `withWmCreateDateTime(double value)`
    `SchScenario` | `withWmEndDate(double value)`
    `SchScenario` | `withWmEndDateExt(double value)`
    `SchScenario` | `withWmForecastId(int value)`
    `SchScenario` | `withWmName(java.lang.String value)`
    `SchScenario` | `withWmScheduleId(int value)`
    `SchScenario` | `withWmStartDate(double value)`
    `SchScenario` | `withWmType(int value)`
    `SchScenario` | `withWmUpdateDateTime(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmScheduleId

          protected int wmScheduleId

      Schedule scenario identifier (zero for Master Schedule).

    - #### wmForecastId

          protected int wmForecastId

      Associated Forecast scenario identifier (zero for Master Forecast).

    - #### wmName

          protected java.lang.String wmName

      Unique scenario name.

    - #### wmStartDate

          protected double wmStartDate

      Start date of schedule period. `OleDateTime`

    - #### wmEndDate

          protected double wmEndDate

      End date of schedule period. `OleDateTime`

    - #### wmEndDateExt

          protected double wmEndDateExt

      Extended End date of schedule period. `OleDateTime`

    - #### wmType

          protected int wmType

      Scenario type `ESchScenarioType`

    - #### wmComments

          protected java.lang.String wmComments

      Comments

    - #### schSitesNSizeIs

          protected int schSitesNSizeIs

      The number of elements in the 'schSites' array.

    - #### schSites

          protected java.util.List<SchScenarioSite> schSites

      An array of sites in the scenario. `SchScenarioSite`

    - #### schSiteStatusNSizeIs

          protected int schSiteStatusNSizeIs

      The number of elements in the 'schSiteStatus' array.

    - #### schSiteStatus

          protected java.util.List<SchScenarioSiteStatus> schSiteStatus

      The Status for every site in the scenario. `SchScenarioSiteStatus`

    - #### wmCreateDateTime

          protected double wmCreateDateTime

      Scenario creation date time in GMT time zone. `OleDateTime`

    - #### wmUpdateDateTime

          protected double wmUpdateDateTime

      Scenario modification date time in GMT time zone. `OleDateTime`

    - #### gswUserId

          protected int gswUserId

      The ID of the user who created the scenario `CfgUser`

    - #### timestamp

          protected long timestamp

      timestamp value

  - ### Constructor Detail

    - #### SchScenario

          public SchScenario()

  - ### Method Detail

    - #### getWmScheduleId

          public int getWmScheduleId()

      Gets the value of the wmScheduleId property.

    - #### setWmScheduleId

          public void setWmScheduleId(int value)

      Sets the value of the wmScheduleId property.

    - #### getWmForecastId

          public int getWmForecastId()

      Gets the value of the wmForecastId property.

    - #### setWmForecastId

          public void setWmForecastId(int value)

      Sets the value of the wmForecastId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmEndDateExt

          public double getWmEndDateExt()

      Gets the value of the wmEndDateExt property.

    - #### setWmEndDateExt

          public void setWmEndDateExt(double value)

      Sets the value of the wmEndDateExt property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSchSitesNSizeIs

          public int getSchSitesNSizeIs()

      Gets the value of the schSitesNSizeIs property.

    - #### setSchSitesNSizeIs

          public void setSchSitesNSizeIs(int value)

      Sets the value of the schSitesNSizeIs property.

    - #### getSchSites

          public java.util.List<SchScenarioSite> getSchSites()

      Gets the value of the schSites property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schSites property.

      For example, to add a new item, do as follows:

              getSchSites().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenarioSite`

    - #### getSchSiteStatusNSizeIs

          public int getSchSiteStatusNSizeIs()

      Gets the value of the schSiteStatusNSizeIs property.

    - #### setSchSiteStatusNSizeIs

          public void setSchSiteStatusNSizeIs(int value)

      Sets the value of the schSiteStatusNSizeIs property.

    - #### getSchSiteStatus

          public java.util.List<SchScenarioSiteStatus> getSchSiteStatus()

      Gets the value of the schSiteStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schSiteStatus property.

      For example, to add a new item, do as follows:

              getSchSiteStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenarioSiteStatus`

    - #### getWmCreateDateTime

          public double getWmCreateDateTime()

      Gets the value of the wmCreateDateTime property.

    - #### setWmCreateDateTime

          public void setWmCreateDateTime(double value)

      Sets the value of the wmCreateDateTime property.

    - #### getWmUpdateDateTime

          public double getWmUpdateDateTime()

      Gets the value of the wmUpdateDateTime property.

    - #### setWmUpdateDateTime

          public void setWmUpdateDateTime(double value)

      Sets the value of the wmUpdateDateTime property.

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmScheduleId

          public SchScenario withWmScheduleId(int value)

    - #### withWmForecastId

          public SchScenario withWmForecastId(int value)

    - #### withWmName

          public SchScenario withWmName(java.lang.String value)

    - #### withWmStartDate

          public SchScenario withWmStartDate(double value)

    - #### withWmEndDate

          public SchScenario withWmEndDate(double value)

    - #### withWmEndDateExt

          public SchScenario withWmEndDateExt(double value)

    - #### withWmType

          public SchScenario withWmType(int value)

    - #### withWmComments

          public SchScenario withWmComments(java.lang.String value)

    - #### withSchSitesNSizeIs

          public SchScenario withSchSitesNSizeIs(int value)

    - #### withSchSites

          public SchScenario withSchSites(SchScenarioSite... values)

    - #### withSchSites

          public SchScenario withSchSites(java.util.Collection<SchScenarioSite> values)

    - #### withSchSiteStatusNSizeIs

          public SchScenario withSchSiteStatusNSizeIs(int value)

    - #### withSchSiteStatus

          public SchScenario withSchSiteStatus(SchScenarioSiteStatus... values)

    - #### withSchSiteStatus

          public SchScenario withSchSiteStatus(java.util.Collection<SchScenarioSiteStatus> values)

    - #### withWmCreateDateTime

          public SchScenario withWmCreateDateTime(double value)

    - #### withWmUpdateDateTime

          public SchScenario withWmUpdateDateTime(double value)

    - #### withGswUserId

          public SchScenario withGswUserId(int value)

    - #### withTimestamp

          public SchScenario withTimestamp(long value)

    - #### setSchSites

          public void setSchSites(java.util.List<SchScenarioSite> schSites)

      Sets the value of the schSites property.
      Parameters:
        `schSites` - allowed object is `SchScenarioSite`

    - #### setSchSiteStatus

          public void setSchSiteStatus(java.util.List<SchScenarioSiteStatus> schSiteStatus)

      Sets the value of the schSiteStatus property.
      Parameters:
        `schSiteStatus` - allowed object is `SchScenarioSiteStatus`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.